import os
import shutil
import zipfile

# Define directories
current_dir = os.getcwd()
original_dir = os.path.join(current_dir, 'Original')
extracted_dir = os.path.join(current_dir, 'Extracted')

# Create the Original and Extracted directories if they don't exist
os.makedirs(original_dir, exist_ok=True)
os.makedirs(extracted_dir, exist_ok=True)

# Iterate through files in the current directory
for item in os.listdir(current_dir):
    if item.endswith('.zip'):
        zip_path = os.path.join(current_dir, item)  # Path to the zip file

        # Move the zip file to the Original directory
        shutil.move(zip_path, original_dir)

        # Extract the zip file into the Extracted directory
        with zipfile.ZipFile(os.path.join(original_dir, item), 'r') as zip_ref:
            zip_ref.extractall(extracted_dir)

print("All ZIP files have been moved and extracted successfully.")